package ru.myitschool.work.data.dto

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class UserDto(
    @SerialName("authority_id")
    val roleId: Int?,
    @SerialName("name")
    val name: String?,
    @SerialName("lastVisit")
    val lastVisit: String?,
    @SerialName("photo")
    val photoUrl: String?,
    @SerialName("position")
    val position: String?,
    @SerialName("username")
    val login: String?,
    @SerialName("isCardBlocked")
    val isCardBlocked: Boolean?
)
