package ru.myitschool.work.domain.login

interface LoginRepository {

    suspend fun login(login: String, password: String) : Result<Unit>
    suspend fun logout()
    suspend fun isUserExist(login: String): Result<Boolean>
    suspend fun authorize(token: String): Result<Unit>
}