package ru.myitschool.work.ui

import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import dagger.hilt.android.AndroidEntryPoint
import ru.myitschool.work.R
import ru.myitschool.work.utils.isOnline

@AndroidEntryPoint
class RootActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_root)

        if (!isOnline(this)) {
            val dialog = NoInternetNotificationFragment()
            dialog.isCancelable = false
            dialog.show(supportFragmentManager, "NO_INTERNET")
        }
    }
}